package com.csc714.data;

import java.io.Serializable;

// This class resembles a ScanResult object
// but it is modified for our purposes
public class WifiNetwork implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public WifiNetwork(String ssid, int level) {
		super();
		SSID = ssid;
		this.level = level;
	}
		
	public String getSSID() {
		return SSID;
	}
	public void setSSID(String ssid) {
		SSID = ssid;
	}
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}
	
	/// The network name
	private String SSID;
	
	/// The detected signal level in dBm
	private int level;
}
